org.apache.jmeter.util

## Class HostNameSetter

- java.lang.Object
- - org.apache.jmeter.util.HostNameSetter

-     public class HostNameSetter
      extends java.lang.Object

  Uses the underlying implementation to support Server Name Indication (SNI).
  Since:
    3.1 (extracted from JMeterClientConnectionOperator.java)
  Author:
    Michael Locher <cmbntr@gmail.com>
  See Also:
    HTTPCLIENT-1119

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setServerNameIndication(java.lang.String hostname, javax.net.ssl.SSLSocket sslsock)` Invokes the `#setName(String)` method if one is present.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setServerNameIndication

          public static void setServerNameIndication(java.lang.String hostname,
                                                     javax.net.ssl.SSLSocket sslsock)

      Invokes the `#setName(String)` method if one is present.
      Parameters:
        `hostname` - the name to set
        `sslsock` - the socket

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.